/* Nice on darkmode */
/* body {
background-color: #fafafa;
background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='100' height='100' viewBox='0 0 100 100'%3E%3Cg fill-rule='evenodd'%3E%3Cg fill='%23bdbdbd' fill-opacity='0.05'%3E%3Cpath opacity='.5' d='M96 95h4v1h-4v4h-1v-4h-9v4h-1v-4h-9v4h-1v-4h-9v4h-1v-4h-9v4h-1v-4h-9v4h-1v-4h-9v4h-1v-4h-9v4h-1v-4h-9v4h-1v-4H0v-1h15v-9H0v-1h15v-9H0v-1h15v-9H0v-1h15v-9H0v-1h15v-9H0v-1h15v-9H0v-1h15v-9H0v-1h15v-9H0v-1h15V0h1v15h9V0h1v15h9V0h1v15h9V0h1v15h9V0h1v15h9V0h1v15h9V0h1v15h9V0h1v15h9V0h1v15h4v1h-4v9h4v1h-4v9h4v1h-4v9h4v1h-4v9h4v1h-4v9h4v1h-4v9h4v1h-4v9h4v1h-4v9zm-1 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-9-10h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm9-10v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-9-10h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm9-10v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-9-10h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm9-10v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-10 0v-9h-9v9h9zm-9-10h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9zm10 0h9v-9h-9v9z'/%3E%3Cpath d='M6 5V0H5v5H0v1h5v94h1V6h94V5H6z'/%3E%3C/g%3E%3C/g%3E%3C/svg%3E");
} */

body {
  overflow-x: hidden;
}

/* DARK */

.dark-theme body,
.dark-theme .MuiInputBase-root,
.dark-theme .MuiPaper-root {
  background: #050709;
  color: #fff;
}

.dark-theme .MuiAppBar-root {
  border-bottom: 1px solid rgba(255, 255, 255, 0.12);
}

.dark-theme .MuiAppBar-colorTransparent {
  color: inherit;
  background-color: transparent;
}

.dark-theme .MuiPaper-root {
  transition: box-shadow 300ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
}

.dark-theme .MuiPaper-outlined {
  border: 1px solid rgba(255, 255, 255, 0.12);
}

.dark-theme .MuiFormLabel-root {
  color: rgba(255, 255, 255, 0.7);
}

.dark-theme .MuiOutlinedInput-notchedOutline {
  border-color: rgba(255, 255, 255, 0.23);
}

.dark-theme .MuiOutlinedInput-root:hover .MuiOutlinedInput-notchedOutline {
  border-color: #fff;
}

.dark-theme .MuiDrawer-paperAnchorDockedLeft {
  border-right: 1px solid rgba(255, 255, 255, 0.12);
}

.dark-theme .MuiListItem-root.Mui-selected,
.dark-theme .MuiListItem-root.Mui-selected:hover {
  background-color: rgba(255, 255, 255, 0.16);
}

.dark-theme
  .MuiOutlinedInput-root.Mui-focused
  .MuiOutlinedInput-notchedOutline {
  border-color: #50caff;
  border-width: 2px;
}

.dark-theme .MuiTableCell-head {
  color: #fff;
}

.dark-theme .MuiTableSortLabel-root.MuiTableSortLabel-active {
  color: #fff;
}

.dark-theme .MuiTableCell-root {
  border-bottom: 1px solid rgba(255, 255, 255, 0.12);
}

.dark-theme .MuiTableCell-body {
  color: #fff;
}

.dark-theme .MuiTablePagination-root {
  color: #fff;
}

.dark-theme .MuiIconButton-root.Mui-disabled {
  color: rgba(255, 255, 255, 0.3);
  background-color: transparent;
}

.dark-theme .MuiSelect-icon {
  color: #fff;
}

.dark-theme .MuiTypography-colorTextPrimary {
  color: #fff;
}

.dark-theme .MuiTypography-colorTextSecondary {
  color: rgba(255, 255, 255, 0.7);
}

.dark-theme
  .MuiTableSortLabel-root.MuiTableSortLabel-active.MuiTableSortLabel-root.MuiTableSortLabel-active
  .MuiTableSortLabel-icon {
  color: rgba(255, 255, 255, 0.7);
}

.dark-theme .MuiIconButton-root {
  color: #fff;
}

.dark-theme .MuiIconButton-root:hover {
  background-color: rgba(255, 255, 255, 0.08);
}

.dark-theme .MuiToggleButton-root {
  border: 1px solid rgba(255, 255, 255, 0.12);
  color: rgba(255, 255, 255, 0.38);
}

.dark-theme .MuiToggleButton-root.Mui-selected {
  color: #fff;
  background-color: rgba(255, 255, 255, 0.12);
}

.dark-theme .MuiListItemIcon-root {
  color: #fff;
}